Skip to main content
GET
List employees

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

code
integer

Find Employee by code

dni
string

Find Employee by dni

email
string<email>

Find Employee by email

departmentIds
string<uuid>[]

Find Employee by department Ids

officeIds
string<uuid>[]

Find Employee by office Ids

entityGroupIds
string<uuid>[]

Find Employee by entity group Ids

limit
integer

Limit employees

page
integer

Request a specific page

orderBy
string

field1 asc, field2 desc

status
enum<string>

Supported operators: in
Example: status[in]=active,inactive
By default, only active employees are returned

Available options:
active,
inactive

Response

200 - application/json

Array of objects

data
object[]
meta
object